Subject: pg_repack and table statistics

From: Wells Oliver <[email-masked]>
Date: Wed, 28 Aug 2024 21:16:31 -0700

I find that the n_dead_tup value in pg_stat_user_tables is the same before
and after a successful pg_repack of that table (ditto all the values
really). Is there something that should be done after a repack to have
those stats updated, or is their unchanging value a sign of repack failing
for some reason?

-- 
Wells Oliver
[email-masked] <[email-masked]>

---

From: Wells Oliver <[email-masked]>
Date: Wed, 28 Aug 2024 21:21:12 -0700

Hmm, apologies, I'd delete this if I could, I was looking at stale data for
pg_stat_user_tables, it indeed has a n_dead_tup of 0 after a repack.